#!/usr/bin/perl
################################################################################
# perlQuestionnaire                          Version 2.2                       #
# Copyright 2003-2005 chumpsoft, inc.        March 28, 2005                    #
################################################################################
#              SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS              #
################################################################################

#-->> Push correct path into @INC depending on whether this is Unix/Windows.
if ($0 =~ /(.*)\\[^\\]+/) { unshift (@INC, "$1\\..\\perlQMod"); }
elsif ($0 =~ /(.*)\/[^\/]+/) { unshift (@INC, "$1/../perlQMod"); }
else { unshift (@INC, "../perlQMod"); }

use strict;
require "State.cgi";
import perlQMod::State;

my $perlQ = perlQMod::State->new(-inadmin => 1);
my $cgi = $perlQ->getCGI;

$perlQ->setLanguage('', 'ADMIN');
my $lang = $perlQ->getLanguage;

my $message = $cgi->param('errormsg') || '';
if ($message =~ /^\w+$/) { $message = $lang->{$message}; }
else { $message = $lang->{'PopupDefaultError'}; }

my $contents = "<H2>$lang->{'ErrorTitle'}</H2><CENTER>$message</CENTER>";

open(T, $perlQ->getFilePath('admin/poptemplate.html'));
my $templatedata = join('', <T>);
close(T);

my $aurl = $perlQ->getImgURL('admin');
$templatedata =~ s/SRC="images\//SRC="$aurl\/images\//g;
$templatedata =~ s/HREF="template.css"/HREF="$aurl\/template.css"/g;

$templatedata =~ s/::CHARSET::/$lang->{'CHARSET'}/g;
$templatedata =~ s/::SURVEYNAME::/$lang->{'ErrorTitle'} :: $lang->{'AdminTitle'}/g;
$templatedata =~ s/::CONTENT::/$contents/g;

print $cgi->header;
print $templatedata;
$perlQ->exit;
