#!/usr/bin/perl
################################################################################
# perlQuestionnaire                          Version 2.2                       #
# Copyright 2003-2005 chumpsoft, inc.        March 28, 2005                    #
################################################################################
#              SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS              #
################################################################################

use strict;
use CGI;

my $cgi = CGI->new;

my $scriptdir = '';
my $winos = 0;
if ($0 =~ /(.*)\\[^\\]+/) { $scriptdir = "$1\\"; $winos = 1; }
elsif ($0 =~ /(.*)\/[^\/]+/) { $scriptdir = "$1/"; }

my $img = $cgi->param('i') || '';

if ($img !~ /^((?:templates\/\w+|admin|docs)\/\w+\.(css|ico|html))$/ &&
    $img !~ /^((?:templates\/\w+|languages\/\w+|docs|admin)\/images\/[\w\.\-]+\.(gif|jpg|png))$/) {
	print $cgi->redirect(-url => 'error.cgi');
	exit;
}

my ($file,$type) = ($1, $2);
if ($type eq 'jpg') { $type = 'jpeg'; }
if ($type eq 'ico') { $type = 'x-icon'; }

if ($winos) { $file =~ s/\//\\/g; }
$file = $scriptdir . $file;

if ($type eq 'css' || $type eq 'html') {
	print $cgi->header(-type => "text/$type", -expires => "+1d");
	open(I, "$file");
	if ($file =~ /docs/ && $type eq 'html') {
		while (<I>) {
			$_ =~ s/(\.\.\/)?(languages\/\w+|admin)\/images\//img.cgi?i=\2\/images\//g;
			$_ =~ s/="images\//="img.cgi?i=docs\/images\//g;
			print;
		}
	}
	else { while (<I>) { print; } }
	close(I);
}
else {
	print $cgi->header(-type => "image/$type", -expires => "+1d");
	binmode STDOUT;

	my $buffer;
	open(I, "$file");
	binmode I;
	while (read(I, $buffer, 4096)) { print $buffer; }
	close(I);
}
