#!/usr/bin/perl
################################################################################
# perlQuestionnaire                          Version 2.2                       #
# Copyright 2003-2005 chumpsoft, inc.        March 28, 2005                    #
################################################################################
#              SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS              #
################################################################################

#-->> Push correct path into @INC depending on whether this is Unix/Windows.
if ($0 =~ /(.*)\\[^\\]+/) { unshift (@INC, "$1\\perlQMod"); }
elsif ($0 =~ /(.*)\/[^\/]+/) { unshift (@INC, "$1/perlQMod"); }
else { unshift (@INC, "perlQMod"); }

#-->> Include Files

use strict;
require "State.cgi";
import perlQMod::State;

my $perlQ = perlQMod::State->new;
$perlQ->setLanguage;
my $lang = $perlQ->getLanguage;

my $errormsg = $perlQ->getCGI->param('errormsg') || '';

if ($errormsg !~ /^\w+$/) {
	$errormsg = $lang->{'DefaultError'};
}
else {
	$errormsg = (isset($lang->{'$errormsg'})) ? $lang->{'$errormsg'} : $lang->{'DefaultError'};
}

$perlQ->getHTML->createPage(0, $lang->{'ErrorTitle'}, $errormsg, 0, '');
