# LANGUAGE: English: PUBLIC|ADMIN|IMAGES|HELP
################################################################################
# perlQuestionnaire                          Version 2.2                       #
# Copyright 2003-2005 chumpsoft, inc.        March 28, 2005                    #
################################################################################
#              SCRiPTMAFiA 2005 - THE DiRTY HANDS ON YOUR SCRiPTS              #
################################################################################

$perlQlang{'CHARSET'} = 'iso-8859-1';
$perlQlang{'LANGUAGE'} = 'English';

###############################################################################
# PUBLIC TEXT                                                                 #
#    This section encompasses all of the text which a visitor to your web     #
#    site could encounter.  Subsections detail different areas of the public  #
#    interface.                                                               #
###############################################################################

# The following items appear on the public survey page.
$perlQlang{'response'} = '1 response';
$perlQlang{'responses'} = '%d responses';
$perlQlang{'NoSurveys'} = 'Currently no available surveys.';
$perlQlang{'SurveyList'} = 'Survey List';

# The following items appear in fillsurvey.cgi and you can use %s within them
# in order to have the specific survey name appear.

$perlQlang{'SurveyNotActive'} = 'The survey <B>%s</B> is currently <B>Not Active</B>.';
$perlQlang{'SurveyPending'} = 'The survey <B>%s</B> has not started yet.';
$perlQlang{'SurveyExpired'} = 'The survey <B>%s</B> has expired.';
$perlQlang{'SurveyCompleted'} = 'Survey Completed.';
$perlQlang{'SurveyEmpty'} = 'There are currently no questions for this survey.';
$perlQlang{'SurveyCookieError'} = 'You must enable cookies to complete this survey.';
$perlQlang{'SurveyCompletedAlready'} = 'You have already completed this survey.';

$perlQlang{'SurveyPreviewCompleted'} = '<B>Preview Survey is complete.</B><BR><BR>';
$perlQlang{'SurveyCookieWarning'} = 'The browser you are using currently has cookies disabled. The answers you provide will not be stored. Please enable cookies before proceeding.';

# The following error messages appear when an invalid answer is supplied for a
# specific question.
$perlQlang{'*'} = '*';
$perlQlang{'EmptyAnswer'} = 'Please complete this question.';
$perlQlang{'InvalidAnswer'} = 'Invalid answer supplied!';
$perlQlang{'UnselectableOption'} = '<B>%s</B> is not a selectable option.';
$perlQlang{'CompleteTextfield'} = 'Please complete the textfield for answer <B>%s</B>.';
$perlQlang{'SelectTextfield'} = 'Please choose the answer <B>%s</B> if you wish to record the textfield value.';

$perlQlang{'ExactCount1'} = 'You must choose exactly 1 answer.';
$perlQlang{'ExactCount'} = 'You must choose exactly %d answers.';
$perlQlang{'AtLeastCount1'} = 'You must choose at least 1 answer.';
$perlQlang{'AtLeastCount'} = 'You must choose at least %d answers.';
$perlQlang{'AtMostCount1'} = 'You must choose at most 1 answer.';
$perlQlang{'AtMostCount'} = 'You must choose at most %d answers.';

$perlQlang{'PleaseCorrect'} = 'Please correct the following %s!';
$perlQlang{'error'} = 'error';
$perlQlang{'errors'} = '%s errors';

# The following are button names that appear when taking/previewing a survey
$perlQlang{'Close'} = 'Close';
$perlQlang{'Submit'} = 'Submit';
$perlQlang{'Next'} = 'Next';
$perlQlang{'Previous'} = 'Previous';
$perlQlang{'Skip'} = 'Skip';
$perlQlang{'ShowResults'} = 'View Results';

$perlQlang{'PageNumber'} = 'Page %s of %s';

# These are various date formats used by perlQ.
$perlQlang{'MySQLDateFormat'} = '%M %e, %Y at %r';
$perlQlang{'MySQLDateFormatShort'} = '%Y-%m-%d %H:%i';

# The following appear only if you are allowing Public Results viewing:

$perlQlang{'SurveyResultsTitle'} = 'Survey Results';
$perlQlang{'VerifiedSurveyResults'} = 'Verified Survey Results';
$perlQlang{'UnverifiedSurveyResults'} = 'Unverified Survey Results';
$perlQlang{'AllSurveyResults'} = 'Survey Results';

$perlQlang{'TableofContents'} = 'Table of Contents';
$perlQlang{'ViewwithPagebreaks'} = 'View With Pagebreaks';
$perlQlang{'ViewAllQuestions'} = 'View All Questions';

# Putting %s here will cause the * to appear red in the admin, but normal when
# viewed by the public.
$perlQlang{'AsteriskText'} = 'The asterisk symbol <B%s>*</B> indicates a required question.';

# The %s here will replace the question type name, from the list below.
$perlQlang{'QuestionTypeLabel'} = '<B>Type:</B> %s';
$perlQlang{'radio'} = 'Radio Buttons';
$perlQlang{'checkbox'} = 'Check Boxes';
$perlQlang{'select'} = 'Select Box';
$perlQlang{'selectmult'} = 'Multiple Select Box';
$perlQlang{'textfield'} = 'Text Field';
$perlQlang{'textarea'} = 'Text Area';
$perlQlang{'htmlcontent'} = 'HTML Content';

$perlQlang{'TextfieldResults'} = 'Textfield Results';
$perlQlang{'TextfieldResultsLink'} = 'Textfield Results...';
$perlQlang{'SeeMoreLink'} = 'See More...';

# Labels for use in the stats.
$perlQlang{'Question'} = 'Question';
$perlQlang{'Total'} = 'Total';
$perlQlang{'Email'} = 'Email';
$perlQlang{'IP'} = 'IP';
$perlQlang{'Date'} = 'Date';

$perlQlang{'NoResults'} = 'There are currently no results for this question.';

# The following appear only if Email Verification is being used:

$perlQlang{'VerifyTitle'} = '%s: Email Verification';
$perlQlang{'VerifyRequest'} = 'Please enter your email address to complete this survey.<BR>Upon submitting your address, you will receive a <B>Confirmation<BR>Password</B> via email which will be used to verify your identity.<BR><BR>';
$perlQlang{'EmailPrompt'} = '<B>Email Address:</B>';

$perlQlang{'EmailEmpty'} = 'Please enter a valid email address:';
$perlQlang{'EmailInvalid'} = 'Not a valid email address!';
$perlQlang{'EmailDuplicate'} = 'You have already completed this survey with <B>%s</B>.';

$perlQlang{'EmailDefaultSubject'} = 'Survey Email Verification: %s';
$perlQlang{'EmailDefaultFrom'} = 'perlQ <you@yourdomain.com>';
$perlQlang{'EmailDefaultMessage'} = <<"END";
Greetings,

Before the results of the survey ::SurveyName:: are submitted,
there is one more step you must complete. In order to store and validate your
responses, you must visit the following URL:

::ConfirmURL::

Alternatively, if you are still at the confirmation page that was displayed
at the end of your survey, you may enter the password shown below:

Your Confirmation Password is: ::ConfirmPassword::

Thank you for completing our survey.
END

# These strings are shown on the confirmation survey page.
$perlQlang{'ConfirmTitle'} = '%s: Confirm Email Address';
$perlQlang{'ConfirmPrompt'} = '<B>Confirmation Password:</B>';
$perlQlang{'ConfirmRequest'} = 'A <B>Confirmation Password</B> has been sent to the email<BR>address you supplied. Please enter this password below to<BR>validate your email address and complete this survey.<BR><BR>';

$perlQlang{'ConfirmEmpty'} = 'You must enter your confirmation password!';
$perlQlang{'ConfirmIncorrect'} = 'Incorrect Confirmation Password!';

# This is displayed when they are shown their individual result summary
$perlQlang{'YourResponse'} = 'You have successfully submitted the following survey response:';

# The following are error messages displayed in error.cgi

$perlQlang{'ErrorTitle'} = 'Error Encountered';
$perlQlang{'DefaultError'} = 'There was an illegal access of this script.';
$perlQlang{'NoTemplate'} = 'Could not locate specified template!';
$perlQlang{'DBConnection'} = 'Could not connect to the database!';
$perlQlang{'NoMailSupport'} = 'Perl support for email capability not found!';

###############################################################################
# ADMINISTRATOR TEXT                                                          #
#    This section encompasses all of the text which a visitor to your web     #
#    site could encounter.  Subsections detail different areas of the public  #
#    interface.                                                               #
###############################################################################

# Labels for the admin tabs at the top of each admin page
$perlQlang{'TabMain'} = 'Main';
$perlQlang{'TabSurveyEditor'} = 'Survey Editor';
$perlQlang{'TabSurveyResults'} = 'Survey Results';
$perlQlang{'TabConfiguration'} = 'Configuration';
$perlQlang{'TabLogoff'} = 'Log Off';

$perlQlang{'UserManual'} = 'perlQ User Manual';
$perlQlang{'?'} = '?';
$perlQlang{'perlQHelp'} = 'perlQ Help';

$perlQlang{'Yes'} = 'Yes';
$perlQlang{'No'} = 'No';

$perlQlang{'Interface'} = 'Interface';
$perlQlang{'Basic'} = 'Basic';
$perlQlang{'Advanced'} = 'Advanced';

$perlQlang{'ErrorMessage'} = 'Error Message';
$perlQlang{'Status'} = 'Status';

# text for buttons...
$perlQlang{'Edit'} = 'Edit';
$perlQlang{'Preview'} = 'Preview';
$perlQlang{'EditQuestions'} = 'Edit Questions';
$perlQlang{'Activate'} = 'Activate';
$perlQlang{'Deactivate'} = 'Deactivate';
$perlQlang{'Export'} = 'Export';
$perlQlang{'Delete'} = 'Delete';
$perlQlang{'Modify'} = 'Modify';
$perlQlang{'ClearForm'} = 'Clear Form';

$perlQlang{'PageBreak'} = 'Page Break';
$perlQlang{'AddPageBreak'} = 'Add Page Break';
$perlQlang{'SaveOrder'} = 'Save Order';
$perlQlang{'AddAnswer'} = 'Add Answer';
$perlQlang{'AddTextfield'} = 'Add with Textfield';

$perlQlang{'Active'} = 'Active';
$perlQlang{'NotActive'} = 'Not Active';
$perlQlang{'Pending'} = 'Pending';
$perlQlang{'Expired'} = 'Expired';

$perlQlang{'AdminTitle'} = 'perlQ Administration - SCRiPTMAFiA 2005';

# The following text is used on the install page.

$perlQlang{'Installation'} = 'Installation';
$perlQlang{'Language'} = 'Language';
$perlQlang{'ChmodWarning'} = '<B STYLE="color: #FF0000;">ERROR:</B> The file "perlQ/perlQMod/DBInfo.cgi" must be writable before proceeding!<BR><B>UNIX USERS:</B> chmod to 766 before installation.';
$perlQlang{'MoreInfo'} = '<B>MORE INFORMATION:</B> For further instruction, please see the %sonline documentation%s.';
$perlQlang{'Install'} = 'Install';
$perlQlang{'InstallText'} = '<B>Install perlQ</B><BR>for the first time.<BR><BR><BR>';
$perlQlang{'Upgrade'} = 'Upgrade';
$perlQlang{'UpgradeText'} = '<B>Upgrade perlQ</B><BR>using existing data tables.<BR><BR>Backup your database first!';
$perlQlang{'MySQLHostname'} = 'MySQL Hostname';
$perlQlang{'MySQLUsername'} = 'MySQL Username';
$perlQlang{'MySQLPassword'} = 'MySQL Password';
$perlQlang{'MySQLDatabase'} = 'MySQL Database';
$perlQlang{'AdminPassword'} = 'Admin Password';
$perlQlang{'BackupDatabase'} = 'Backup Database';

$perlQlang{'InstallationStatus'} = 'Installation Status';
$perlQlang{'UpgradeStatus'} = 'Upgrade Status';
$perlQlang{'InstallDoneText'} = '<B STYLE="color: #FF0000;">VERY IMPORTANT!</B><BR><BR><B>%s:</B> Successfully completed! For security reasons, please do the following:<br><ol><li><b>UNIX:</b> chmod file "perlQ/perlQMod/DBInfo.cgi" to 644 so it is no longer world-writable.<li>Remove "perlQ/install.cgi" (saving a backup) so it can no longer be accessed by users.';
$perlQlang{'InstallPasswordWarning'} = '<li>In Admin, go to Configuration tab and change the password (defaults to "<B>password</B>").';
$perlQlang{'UpgradePasswordWarning'} = '<li><b>FYI:</b> Your admin password remains the same during an upgrade.';
$perlQlang{'ProceedtoAdmin'} = 'Proceed to Admin';
$perlQlang{'TryAgain'} = 'Try Again';
$perlQlang{'InCgiBin'} = 'Installed in cgi-bin';
$perlQlang{'InCgiBinColors'} = 'Green=Yes | Red=No';

# install status messages...

$perlQlang{'MySQLConnection'} = 'MySQL Connection';
$perlQlang{'InvalidConnection'} = 'Invalid MySQL Host, Login or Password';
$perlQlang{'InvalidDatabase'} = 'Invalid Database Name';
$perlQlang{'DuplicateTable'} = 'Duplicate Table Found!';
$perlQlang{'CreateTableError'} = 'Unable to Create Table!';
$perlQlang{'CreateTable'} = 'Creating MySQL Table <B>%s</B>';
$perlQlang{'TableData'} = 'Table Already Contains Data!';
$perlQlang{'InsertTableError'} = 'Unable to Insert!';
$perlQlang{'TableNotFound'} = 'Table %s Not Found!';
$perlQlang{'InsertTable'} = 'Inserting into Table <B>%s</B>';
$perlQlang{'NoConnection'} = 'No MySQL Connection!';
$perlQlang{'CompleteAllFields'} = 'Please complete all the fields!';
$perlQlang{'InvalidAdminPassword'} = 'Invalid Admin Password!';
$perlQlang{'VersionAlreadyExists'} = 'perlQ database version %s already installed!';
$perlQlang{'UnknownAdminPassword'} = 'Could not verify password!';
$perlQlang{'AddColumnToTable'} = 'Adding %s to %s';
$perlQlang{'AddColumnFailure'} = 'Need Alter Permission?';
$perlQlang{'ModifyingColumns'} = 'Modifying columns in %s';
$perlQlang{'ModifyColumnFailure'} = 'Column modification failed! Need Alter Permission?';
$perlQlang{'UpdateFailed'} = 'Database Update Failed!';

$perlQlang{'UpdatingVersion'} = 'Updating Version';
$perlQlang{'VersionInstalled'} = 'perlQ Database Version %s Installed!';
$perlQlang{'VersionErrors'} = 'Too many errors to install new version!';
$perlQlang{'Success'} = 'Success!';
$perlQlang{'Failed'} = 'Failed!';

# The following text is used on the login page.

$perlQlang{'LoginTitle'} = 'Admin Login';
$perlQlang{'Login'} = 'Login';
$perlQlang{'LoginPrompt'} = 'Enter your <B>perlQ</B> password...';
$perlQlang{'Password'} = 'Password';
$perlQlang{'InvalidPassword'} = 'Invalid Password!';
$perlQlang{'LoggedOut'} = 'You have been logged out due to inactivity!';
$perlQlang{'AdminPreview'} = 'You must login to preview a survey!';

# The following text is used on the survey overview page.

$perlQlang{'OverviewTitle'} = 'Survey Overview';
$perlQlang{'SecurityAlert'} = 'SECURITY ALERT';
$perlQlang{'SecurityInstall'} = 'Please remove the "perlQ/install.cgi" file';
$perlQlang{'SecurityMySQL'} = '"perlQ/perlQMod/DBInfo.cgi" is still world writable (chmod 644)';
$perlQlang{'SecurityPassword'} = 'Change administrative password (currently "password")';

$perlQlang{'Description'} = 'Description';
$perlQlang{'ActiveDates'} = 'Active Dates';
$perlQlang{'StartsOn'} = 'Starts on %s';
$perlQlang{'EndsOn'} = 'Ends on %s';
$perlQlang{'RunsBetween'} = '%s - %s';
$perlQlang{'LinktoSurvey'} = 'Link to Survey';
$perlQlang{'PublicResults'} = 'Public Results';

# The following text is used on the survey editor page.

$perlQlang{'SurveyEditorTitle'} = 'Survey Editor';

# the following 4 also found in survey results page.
$perlQlang{'ChooseASurvey'} = 'Choose a Survey';
$perlQlang{'SelectSurvey'} = 'Select Survey';
$perlQlang{'NoSurveySelected'} = 'No survey selected (clean slate).';
$perlQlang{'NoSurveyInDatabase'} = 'No surveys found in the database.';

$perlQlang{'AddModifyASurvey'} = 'Add/Modify a Survey';
$perlQlang{'ImportASurvey'} = 'Import a Survey';
$perlQlang{'RequiredField'} = 'Required Field';

$perlQlang{'MonthNames'} = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];

$perlQlang{'SurveyName'} = 'Survey Name';
$perlQlang{'SurveyDescription'} = 'Description';
$perlQlang{'SurveyInstructions'} = 'Instructions';

$perlQlang{'StartingDate'} = 'Starting Date';
$perlQlang{'EndingDate'} = 'Ending Date';
$perlQlang{'Time'} = 'Time';

$perlQlang{'UserRestrictions'} = 'User Restrictions';
$perlQlang{'UniqueIPAddress'} = 'Unique IP Address';
$perlQlang{'Cookies'} = 'Cookies';
$perlQlang{'VerifiedEmailAddress'} = 'Verified Email Address';

$perlQlang{'SurveyWidth'} = 'Survey Width';
$perlQlang{'Pixels'} = 'pixels';
$perlQlang{'OrPercent'} = 'or %';
$perlQlang{'AnswerIndentation'} = 'Answer Indentation';
$perlQlang{'AutoNumbering'} = 'Auto Numbering';

$perlQlang{'QuestionTextStyle'} = 'Question Text Style';
$perlQlang{'AnswerInputStyle'} = 'Answer Input Style';
$perlQlang{'AnswerTextStyle'} = 'Answer Text Style';
$perlQlang{'TextInputStyle'} = 'Text Input Style';
$perlQlang{'ErrorTextStyle'} = 'Error Text Style';

$perlQlang{'SurveyTemplate'} = 'Survey Template';
$perlQlang{'SurveyLanguage'} = 'Survey Language';

$perlQlang{'EmailFrom'} = 'Email From';
$perlQlang{'EmailSubject'} = 'Email Subject';
$perlQlang{'VerificationEmail'} = 'Verification Email';

$perlQlang{'UponCompletion'} = 'Upon Completion';
$perlQlang{'UCDisplayNotice'} = 'Display the completion notice defined below';
$perlQlang{'UCRedirectResults'} = 'Redirect user to the survey results page';
$perlQlang{'UCRedirectURL'} = 'Redirect user to the URL specified below';
$perlQlang{'UCRedirectResponse'} = 'Redirect user to their individual survey response summary';

$perlQlang{'CompletionNotice'} = 'Completion Notice';
$perlQlang{'RedirectURL'} = 'Redirect URL';
$perlQlang{'SurveyResults'} = 'Survey Results';
$perlQlang{'SRPrivate'} = 'Keep survey results private (admin viewable only)';
$perlQlang{'SRPublic'} = 'Make survey results public (admin and user viewable)';
$perlQlang{'SRButton'} = 'Make survey results public (include button on survey)';

$perlQlang{'ResponseNotice'} = 'Response Notice';
$perlQlang{'ResponseEmail'} = 'Response Email';
$perlQlang{'RNNone'} = 'Do not send any notification email';
$perlQlang{'RNEmailLink'} = 'Email Text Notice of Response to addresses listed below';
$perlQlang{'RNEmailSummary'} = 'Email HTML Summary of Response to addresses listed below';

$perlQlang{'ResultsTableWidth'} = 'Results Table Width';
$perlQlang{'ResultsBorderStyle'} = 'Results Border Style';
$perlQlang{'ResultsAnswerStyle'} = 'Results Answer Style';
$perlQlang{'ResultsStatsStyle'} = 'Results Stats Style';
$perlQlang{'StatsGraphStyle'} = 'Stats Graph Style';

$perlQlang{'ButtonText'} = 'Text';
$perlQlang{'ButtonWidth'} = 'Width';
$perlQlang{'ButtonHeight'} = 'Height';
$perlQlang{'ButtonSrc'} = 'Image';
$perlQlang{'SubmitButtonStyle'} = 'Submit Button Style';
$perlQlang{'ResultsButtonStyle'} = 'Results Button Style';
$perlQlang{'NextButtonStyle'} = 'Next Button Style';

$perlQlang{'AddSurvey'} = 'Add Survey';
$perlQlang{'ModifySurvey'} = 'Modify Survey';

$perlQlang{'UploadDataFile'} = 'Upload Data File';
$perlQlang{'ImportSurvey'} = 'Import Survey';
$perlQlang{'FetchFromURL'} = 'Fetch From URL';
$perlQlang{'RetrieveSurvey'} = 'Retrieve Survey';

$perlQlang{'RedirectPrivateError'} = 'Cannot redirect to Results Upon Completion with Private Results';
$perlQlang{'InvalidDateError'} = 'Invalid <B>%s</B> entered.';
$perlQlang{'DateOrderError'} = '<B>%s</B> must be earlier than <B>%s</B>';

$perlQlang{'AddSurveyError'} = 'A database error occurred while adding the survey.';
$perlQlang{'AddSurveySuccess'} = 'Survey successfully added.';
$perlQlang{'ActivateSurveyError'} = 'Could not change active status for survey!';
$perlQlang{'ModifySurveyError'} = 'A database error occurred while modifying the survey.';
$perlQlang{'ModifySurveySuccess'} = 'Survey successfully modified.';
$perlQlang{'DeleteSurveyError'} = 'A database error occurred while deleting the survey.';
$perlQlang{'DeleteSurveySuccess'} = 'Survey successfully deleted.';

$perlQlang{'ImportURLEmpty'} = 'You must enter a URL to retrieve a perlQ survey!';
$perlQlang{'ImportFileEmpty'} = 'You must upload a file to import a perlQ survey!';
$perlQlang{'ImportSurveySuccess'} = 'Survey successfully imported!';

# The following items appear only in the javascript for survey editor.

$perlQlang{'RequiredFieldsWarning'} = 'Please complete all required fields before submitting!';
$perlQlang{'StartingDateWarning'} = 'The month, day and year must all be specified for the Starting Date!';
$perlQlang{'EndingDateWarning'} = 'The month, day and year must all be specified for the Ending Date!';
$perlQlang{'NoSurveyModify'} = 'No survey selected for modification!';
$perlQlang{'DeleteSurveyConfirm'} = 'Do you really want to delete the survey';
$perlQlang{'ClearFormConfirm'} = 'Are you sure to wish to clear this form and lose any changes?';

# The following text is used on the question editor page.

$perlQlang{'QuestionEditorTitle'} = 'Question Editor';

$perlQlang{'AnyNumber'} = 'Any Number';
$perlQlang{'AtLeast'} = 'At Least';
$perlQlang{'AtMost'} = 'At Most';
$perlQlang{'Exactly'} = 'Exactly';

$perlQlang{'AltUp'} = '+';  # Alt tags for the up/down arrows
$perlQlang{'AltDown'} = '-';
$perlQlang{'X'} = 'X'; # Alt tag for delete response img

$perlQlang{'ListofQuestions'} = 'List of Questions';
$perlQlang{'CurrentSurvey'} = 'Current Survey';
$perlQlang{'Questions'} = 'Questions';
$perlQlang{'NoQuestions'} = 'Currently no questions for this survey in the database.';

$perlQlang{'AddModifyAQuestion'} = 'Add/Modify a Question';
$perlQlang{'Type'} = 'Type';
$perlQlang{'Required'} = 'Required';

$perlQlang{'ContentName'} = 'Content Name';
$perlQlang{'SelectSize'} = 'Select Size';
$perlQlang{'QuestionInstructions'} = 'Instruction Text';
$perlQlang{'HTMLContent'} = 'HTML Content';
$perlQlang{'AnswerChoices'} = 'Answer Choices';
$perlQlang{'AnswerChoicePrompt'} = 'Add answer choices here.';
$perlQlang{'AnswerChoiceSelectable'} = 'Selectable?';
$perlQlang{'AnswerChoiceSelected'} = 'Selected?';

$perlQlang{'DefaultAnswer'} = 'Default Answer';
$perlQlang{'NumberofAnswers'} = 'Number of Answers';
$perlQlang{'NumberofColumns'} = 'Number of Columns';

$perlQlang{'TextInputAttributes'} = 'Text Input Attributes';
$perlQlang{'DisplayinSummary'} = 'Display in Summary';

$perlQlang{'AddQuestion'} = 'Add Question';
$perlQlang{'ModifyQuestion'} = 'Modify Question';

$perlQlang{'AddQuestionSuccess'} = 'Question added successfully.';
$perlQlang{'AddQuestionError'} = 'A database error occurred while adding the question.';
$perlQlang{'ModifyQuestionSuccess'} = 'Question modified successfully.';
$perlQlang{'ModifyQuestionError'} = 'A database error occurred while modifying the question.';
$perlQlang{'InvalidAnswerChoices'} = 'The answer choices were invalid!';
$perlQlang{'InvalidNumberChoices'} = 'The number of answer choices specified is invalid!';
$perlQlang{'DeleteQuestionSuccess'} = 'Question deleted successfully.';
$perlQlang{'DeleteQuestionError'} = 'A database error occurred while deleting the question.';
$perlQlang{'StoreQuestionSuccess'} = 'Question Order stored successfully.';
$perlQlang{'StoreQuestionError'} = 'A database error occurred while storing the question order.';

# The following appear in the question editor javascript:
$perlQlang{'SelectQuestionPreview'} = 'Please select a question to preview!';
$perlQlang{'PagebreakEdit'} = 'Page Breaks cannot be edited!';
$perlQlang{'SelectQuestionEdit'} = 'Please select a question to edit!';
$perlQlang{'SelectQuestionMove'} = 'Please select a question to move!';
$perlQlang{'SelectQuestionDelete'} = 'Please select a question or page break to delete!';

$perlQlang{'QuestionAskedWarning'} = 'You must enter a question to be asked!';
$perlQlang{'QuestionTypeWarning'} = 'You must select a question type!';
$perlQlang{'QuestionTypeWarning'} = 'Changing question type will potentially harm existing results. Proceed?';
$perlQlang{'QuestionDeleteWarning'} = 'Deleting a question cannot be un-done. You will lose any existing results. Proceed?';
$perlQlang{'AnswerDeleteWarning'} = 'Deleting an answer choice from a question may have undesirable effects on existing results.';

$perlQlang{'AnswerChoiceMove'} = 'Please select an answer choice to move!';
$perlQlang{'AnswerChoiceModify'} = 'Please select an answer choice to modify!';
$perlQlang{'AnswerChoiceDelete'} = 'Please select an answer choice to delete!';
$perlQlang{'StoreNoQuestions'} = 'No questions to store!';

$perlQlang{'OneTextfieldType'} = 'You can only add one textfield to a Select Box!';

$perlQlang{'SelectedSelectable'} = 'If the choice is selected by default, the choice must be selectable!';
$perlQlang{'SelectableSelected'} = 'If the choice is not selectable, it can not be selected as the default!';

# the following text is used when displaying an individual survey response.
$perlQlang{'ViewSurvey'} = 'Survey Response: %s';
$perlQlang{'unavailable'} = 'unavailable'; # empty ip address
$perlQlang{'notentered'} = '[ not entered ]'; # empty email address
$perlQlang{'confirmed'} = '[confirmed]';
$perlQlang{'unconfirmed'} = '[unconfirmed]';

# The following text is used on the survey results page.

$perlQlang{'SurveyResultsTitle'} = 'Survey Results';
$perlQlang{'VerifiedResults'} = 'Verified Results';
$perlQlang{'UnverifiedResults'} = 'Unverified Results';
$perlQlang{'AllResults'} = 'All Results';
$perlQlang{'ViewResults'} = 'View Results';
$perlQlang{'DownloadResults'} = 'Download Results';

$perlQlang{'SurveySummary'} = 'Survey Summary';

$perlQlang{'FileFormat'} = 'File Format';

$perlQlang{'CSVName'} = 'CSV (Comma Separated Value)';
$perlQlang{'XMLName'} = 'XML (eXtensible Markup Language)';
$perlQlang{'XMLCName'} = 'XML Condensed (eXtensible Markup Language; Machine Readable)';
$perlQlang{'SQLName'} = 'SQL (Structured Query Language)';
$perlQlang{'PEXName'} = 'Processed Excel Results for Graphing Purposes';
$perlQlang{'PERLQName'} = 'perlQuestionnaire Backup Format';

# summary column names...
$perlQlang{'DateCompleted'} = 'Date Completed';
$perlQlang{'EmailAddress'} = 'Email Address';
$perlQlang{'IPAddress'} = 'IP Address';
$perlQlang{'Del'} = 'Del';

$perlQlang{'ResultsView'} = 'Results View';
$perlQlang{'HTMLResults'} = 'Survey as Taken';
$perlQlang{'PrinterResults'} = 'Printer Friendly';

$perlQlang{'NoResults'} = 'Currently no results for this survey.';

$perlQlang{'DeleteResultSuccess'} = 'Survey result <B>%s</B> has been deleted.';
$perlQlang{'DeleteResultError'} = 'A database error occurred while deleting survey result <B>%s</B>';

$perlQlang{'PEXNoText'} = 'Textarea and Textfield results are not displayed.';

# The following text is used on the configuration page.

$perlQlang{'ConfigurationTitle'} = 'Configuration';
$perlQlang{'entries'} = 'entries';
$perlQlang{'seconds'} = 'seconds';
$perlQlang{'DatabaseRestored'} = 'Data was sucessfully restored into perlQ!';
$perlQlang{'UploadReadError'} = 'Could not open file to restore data from!';
$perlQlang{'NoUploadError'} = 'You must upload a file to restore data from!';
$perlQlang{'URLReadError'} = 'URL Error: %s'; # status line.
$perlQlang{'NoURLError'} = 'You must enter a URL to restore data from!';
$perlQlang{'LWPURLError'} = 'You must have the LWP Perl module to retrieve URLs!';

$perlQlang{'RequiresLWP'} = 'You must install the <a href="http://search.cpan.org/author/GAAS/libwww-perl-5.69/" class=perlQmenu target=_blank><b>LWP (libwww-perl) module</b></a> to activate this feature.';
$perlQlang{'RequiresNetSMTP'} = 'You must install the <a href="http://search.cpan.org/author/GBARR/libnet-1.13/" class=perlQmenu target=_blank><b>Net::SMTP module</b></a> to send mail via a SMTP server.';

$perlQlang{'ConfigChanged'} = 'The admin variables have been modified.';
$perlQlang{'ConfigError'} = 'There was an error modifying the admin variables.';
$perlQlang{'PasswordChanged'} = 'Your password and admin variables have been modified.';
$perlQlang{'IncorrectPassword'} = 'The password provided was incorrect.';
$perlQlang{'PasswordMismatch'} = 'The new passwords do not match.';

$perlQlang{'ModifyOptionsButton'} = 'Modify Options';
$perlQlang{'ChangePasswordButton'} = 'Change Password';
$perlQlang{'AdminLanguage'} = 'Admin Language';
$perlQlang{'DefaultTemplate'} = 'Default Template';
$perlQlang{'DefaultLanguage'} = 'Default Language';
$perlQlang{'CookieDomain'} = 'Cookie Domain';
$perlQlang{'SendmailPath'} = 'Sendmail Path';
$perlQlang{'SMTPServer'} = 'SMTP Server';
$perlQlang{'ListActiveSurveys'} = 'List Active Surveys';
$perlQlang{'EditorInterface'} = 'Editor Interface';
$perlQlang{'AdminTimeout'} = 'Admin Timeout';
$perlQlang{'SummaryDisplay'} = 'Summary Display';
$perlQlang{'TextInputDisplay'} = 'Text Input Display';
$perlQlang{'PopupDisplay'} = 'Popup Display';
$perlQlang{'CurrentPassword'} = 'Current Password';
$perlQlang{'NewPassword'} = 'New Password';
$perlQlang{'RetypePassword'} = 'Retype Password';
$perlQlang{'BackupEntireDatabase'} = 'Backup Entire perlQuestionnaire Database';
$perlQlang{'DownloadDatabaseButton'} = 'Download Data';
$perlQlang{'RestoreDataFile'} = 'Restore Data File';
$perlQlang{'UploadDatabaseButton'} = 'Restore Database';
$perlQlang{'RestoreFromURL'} = 'Restore From URL';
$perlQlang{'URLDatabaseButton'} = 'Retrieve Database';
$perlQlang{'RestoreBehavior'} = 'Restore Behavior';
$perlQlang{'RestoreSAVE'} = 'Restore Data: SAVING ALL Current perlQ Data';
$perlQlang{'RestoreERASE'} = 'Restore Data: ERASING ALL Current perlQ Data -- CANNOT UNDO!';

$perlQlang{'ResourceIndexRating'} = 'ResourceIndex Rating';
$perlQlang{'HotScriptsRating'} = 'HotScripts Rating';
$perlQlang{'RateItButton'} = 'Rate It!';
$perlQlang{'CommentOn'} = 'Comment on';

# The following messages appear when trying to import surveys or backups.

$perlQlang{'ImportFailed'} = 'Import Failed: ';
$perlQlang{'RestoreFailed'} = 'Restore Failed: ';

$perlQlang{'ImportBadHeader'} = 'Did not recognize header on import file.';
$perlQlang{'ImportBadVersion'} = 'Version %s unrecognized. Can only handle version %s or earlier.';
$perlQlang{'ImportSurveyBadFormat'} = 'Unrecognized perlQ Format: %s. Can only import SURVEYSWAP files.';
$perlQlang{'RestoreBackupBadFormat'} = 'Unrecognized perlQ Format: %s. Can only restore PERLQBACKUP and SURVEYBACKUP files.';

$perlQlang{'ImportMissingTableColumn'} = 'Column formatting for unrecognized table found.';
$perlQlang{'ImportMissingTableValue'} = 'Values for unrecognized table found.';

$perlQlang{'ImportCreateSurvey'} = 'Could not create survey!';
$perlQlang{'ImportQuestionPreSurvey'} = 'Question values encountered before survey was defined!';
$perlQlang{'ImportInsertQuestion'} = 'Could not insert into perlQQuestion!';
$perlQlang{'ImportCreateTable'} = 'Could not create table %s!';
$perlQlang{'ImportInsertTable'} = 'Could not insert into table %s!';

# The following language items appear only in the javascript files.

$perlQlang{'NoSurveySelected'} = 'No survey was selected for viewing!';
$perlQlang{'ConfirmDelete'} = 'Do you wish to delete entry #';

# The following language items appear in error messages:

$perlQlang{'ErrorEncountered'} = 'Error Encountered';
$perlQlang{'PopupDefaultError'} = 'An error occurred in perlQuestionnaire!';
$perlQlang{'PopupLogin'} = 'You must login to the perlQ Admin to view this page!';
$perlQlang{'PopupLoggedOut'} = 'You have been logged out of the perlQ Admin due to inactivity!';
$perlQlang{'NoHelpFile'} = 'Could not locate help file!';

# This is the default summary notice sent upon survey completion
$perlQlang{'RNEmailLinkText'} = <<"END";
The following survey response was submitted:

Survey Name:    ::SurveyName::
Time Completed: ::CompleteDate::
IP Address:     ::IPAddress::
Results Link:   ::ResultsLink::
END

1;
